#standard equipment type config file
#    
#     24V Converter Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: 
#               Relevant Equipment List: 
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name		Type Name Resource ID
2600		0			24V Converter Group		1


#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
2

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range		Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
99		EIB failure			16			NA		1				172			E			NA			NA			NA				[ID29=On]/[ID30=Off]	NA				NA			20			NA			NA
100		State				17			NA		1				171			E			NA			NA			NA				[ID26=On]/[ID27=Off]	NA				NA			21			NA			NA
500		Voltage (EIB V1)		3011			V		1				176			F			NA			NA			NA				-65.0/65.0		W/L				NA			1			.1			[0,2,500]==1
501		Current(EIB Shunt3)		3012			A		1				189			F			NA			NA			NA				NA			W/L				NA			2			.1			[0,2,500]==1
502		Input Current(internal)		3013			A		1				-2			F			NA			NA			([0,0,500]*[0,0,501])/([1,0,1]*[0,2,504])				0.0/500.0			W				NA			22			.1			[0,2,500]==1

#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action		Disp Exp


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
3

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range					Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
5		Shunt3 Full Current			19			A		1				-3			F			600.0			50/5000						NA				NA				NA			O			2			.1			177			5		NA			1			NA			[0,2,500]==1
6		Shunt3 Full Voltage			21			mV		1				-3			F			25.0			1/150						NA				NA				NA			O			3			.1			180			1		NA			1			NA			[0,2,500]==1
500		Converter Inputs			3002			NA		-1				-3			E			0			[ID3003=No]/[ID3004=Yes]			W/L				W/L				NA			E			4			NA			-3			NA		NA			1			NA			NA
501		Under Voltage Alarm			3005			V		-1				-3			F			25.0			20/30						W/L				W/L				NA			E			1			.1			-3			0.01		NA			1			NA			[0,2,500]==1
502		Over Voltage Alarm			3006			V		-1				-3			F			28.5			20/30						W/L				W/L				NA			E			2			.1			-3			0.01		NA			1			NA			[0,2,500]==1
503		Load Current Alarm			3007			A		-1				-3			F			1000			0/1000						W/L				W/L				NA			E			3			.0			-3			1		NA			1			NA			[0,2,500]==1
504		Efficiency				3014			%		-1				-3			F			88			0/100						W				W				NA			E			5			.2			-3			0.01		NA			1			NA			[0,2,500]==1

#2.4 Define the Alarm Singals
[ALARM_NUM]
0

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression	Relay ID
500		Under Voltage		3008				CA		([0,2,500] == 1) & (([0,0,500]<[0,2,501])|([0,3,500]&[0,0,500]<[0,2,501]+1))		NA		NA			NA
501		Over Voltage		3009				CA		([0,2,500] == 1) & (([0,0,500]>[0,2,502])|([0,3,501]&[0,0,500]>[0,2,502]-1))		NA		NA			NA
502		Load Current 		3010				MA		([0,2,500] == 1) & (([0,0,501]>[0,2,503])|([0,3,502]&[0,0,501]>[0,2,503]-5))		NA		NA			NA
